cURL
pcall GET "/api/v1/partner/candidates/a3f1c9d2-7b44-4e0a-9c1d-5e6f7a8b9c01/result?include=answers"const res = await call("GET", "/api/v1/partner/candidates/a3f1c9d2-7b44-4e0a-9c1d-5e6f7a8b9c01/result?include=answers");
const { data } = await res.json();res = call("GET", "/api/v1/partner/candidates/a3f1c9d2-7b44-4e0a-9c1d-5e6f7a8b9c01/result?include=answers")
data = res.json()["data"]<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-bc.userecord.io/api/v1/partner/candidates/{candidate_id}/result",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>",
"x-secret-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-bc.userecord.io/api/v1/partner/candidates/{candidate_id}/result"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("x-secret-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-bc.userecord.io/api/v1/partner/candidates/{candidate_id}/result")
.header("x-api-key", "<api-key>")
.header("x-secret-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-bc.userecord.io/api/v1/partner/candidates/{candidate_id}/result")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
request["x-secret-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"candidate": {
"candidate_id": "a3f1c9d2-7b44-4e0a-9c1d-5e6f7a8b9c01",
"external_id": "cand-88231",
"name": "Ravi Kumar"
},
"campaign_id": "asmnt_9f2c41d7a8b3e65f",
"mandate_id": "JM_261009101612456H3N8W2L5C9V1Z4",
"job_id": "job-10452",
"status": "interested",
"progress": "completed",
"methods": {
"data_enrichment": {
"status": "completed",
"qualified": true,
"answers": [
{
"key": "has_licence",
"question": "Do you hold a valid forklift licence?",
"type": "yes_no",
"answer": "yes",
"answer_native": "ஆம்"
}
]
},
"skill_verification": {
"status": "completed",
"verdict": "Good Fit",
"total_score": 78,
"is_partial": false,
"answered": 3,
"total": 3,
"skills": [
{
"name": "Forklift Basic Operation",
"rating": "Strong"
},
{
"name": "Pallet Jack Safety Check",
"rating": "Medium"
}
]
}
},
"ready_to_hire": true,
"completed_at": "2026-10-05T12:41:10.000Z",
"report_url": "https://example.com/r/7Hk2p9"
}
}{
"success": false,
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"success": false,
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}Results
Get a candidate verdict
Verdict, score, a rating per skill and a report link. Add include=answers to also get what they said.
Scope: results:read
GET
/
candidates
/
{candidate_id}
/
result
cURL
pcall GET "/api/v1/partner/candidates/a3f1c9d2-7b44-4e0a-9c1d-5e6f7a8b9c01/result?include=answers"const res = await call("GET", "/api/v1/partner/candidates/a3f1c9d2-7b44-4e0a-9c1d-5e6f7a8b9c01/result?include=answers");
const { data } = await res.json();res = call("GET", "/api/v1/partner/candidates/a3f1c9d2-7b44-4e0a-9c1d-5e6f7a8b9c01/result?include=answers")
data = res.json()["data"]<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-bc.userecord.io/api/v1/partner/candidates/{candidate_id}/result",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>",
"x-secret-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-bc.userecord.io/api/v1/partner/candidates/{candidate_id}/result"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("x-secret-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-bc.userecord.io/api/v1/partner/candidates/{candidate_id}/result")
.header("x-api-key", "<api-key>")
.header("x-secret-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-bc.userecord.io/api/v1/partner/candidates/{candidate_id}/result")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
request["x-secret-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"candidate": {
"candidate_id": "a3f1c9d2-7b44-4e0a-9c1d-5e6f7a8b9c01",
"external_id": "cand-88231",
"name": "Ravi Kumar"
},
"campaign_id": "asmnt_9f2c41d7a8b3e65f",
"mandate_id": "JM_261009101612456H3N8W2L5C9V1Z4",
"job_id": "job-10452",
"status": "interested",
"progress": "completed",
"methods": {
"data_enrichment": {
"status": "completed",
"qualified": true,
"answers": [
{
"key": "has_licence",
"question": "Do you hold a valid forklift licence?",
"type": "yes_no",
"answer": "yes",
"answer_native": "ஆம்"
}
]
},
"skill_verification": {
"status": "completed",
"verdict": "Good Fit",
"total_score": 78,
"is_partial": false,
"answered": 3,
"total": 3,
"skills": [
{
"name": "Forklift Basic Operation",
"rating": "Strong"
},
{
"name": "Pallet Jack Safety Check",
"rating": "Medium"
}
]
}
},
"ready_to_hire": true,
"completed_at": "2026-10-05T12:41:10.000Z",
"report_url": "https://example.com/r/7Hk2p9"
}
}{
"success": false,
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"success": false,
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}Authorizations
Your key id, VFN_TEST_… or VFN_LIVE_…. Sent on every request.
Your secret, VFN_SK_…. Not a real header, and never sent to the API. It is only a form field for Try it, which uses it to sign your request in your browser. In your own code you sign each request with the secret and send x-api-key, x-timestamp and x-signature (see Authentication).
Path Parameters
Pattern:
^[A-Za-z0-9-]{8,64}$Query Parameters
Allowed value:
"answers"
